# PetscBagDestroy

Destroys a bag values

### Synopsis

    #include "petsc.h"
    #include "petscbag.h"
    PetscErrorCode PETSC_DLLEXPORT PetscBagDestroy(PetscBag bag)

Collective on PetscBag

### Input Parameter

bag -the bag of values

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterTruth(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location:src/sys/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html